> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Get Status

GET https://api.gappify.com/v1/status/{request_id}

Gets the status of the request sent to the Gappify API

Reference: https://developers.gappify.com/api-reference/request-status/get-status

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Path parameters

- `request_id` (UUID, required) — Unique identifier for the request

### Query parameters

- `error_details` (boolean, optional) — Specifies whether detailed error information should be included in the response. If omitted or set to `false` (default), the error_details field will not be included in the response.
- `page` (integer, optional) — Specifies the page number for error details when the number of errors exceeds 1000. Only applicable when `error_details=true`.

## Response

### 200

Shows the status of the response

- `request_id` (string, required) — The request identifier to uniquely identify the request
- `status` (enum, required) — Status of the request - `IN_PROGRESS`: Processing is ongoing. - `PROCESSED`: Processing completed successfully. - `FAILED`: Processing failed.
  - Allowed values: `IN_PROGRESS`, `PROCESSED`, `FAILED`
- `entity` (enum, required) — The entity related to the request.
  - Allowed values: `BUDGET`, `COA`, `FX_RATE`, `INVOICE`, `JOURNAL_ENTRY`, `PURCHASE_ORDER`, `TRANSACTION`, `VENDOR`
- `record_count` (RequestRecordCount, required) — Counts of records processed.
- `errors` (string, optional) — A general error message. Only present when the status is `FAILED`.
- `error_details` (ErrorDetail, optional) — Detailed error information. Included only when `error_details=true`. Values are arrays of error messages. For inbound-related errors, keys are `source_system_id` values. For JE-related errors, keys are `group_id` values

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Types

### RequestRecordCount

- `total` (integer, required) — The total number of records processed.
- `success` (integer, required) — The number of successfully processed records.
- `failed` (integer, required) — The number of records that failed processing.

### ErrorDetail

- `source_system_id` (list of string, optional) — The source system ID of the record that failed processing.
- `group_id` (list of string, optional) — The group ID of the record that failed processing.

## Examples

**Response**

```json
{
  "request_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
  "status": "PROCESSED",
  "entity": "INVOICE",
  "record_count": {
    "total": 2,
    "success": 1,
    "failed": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

querystring = {"page":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/status/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32?page=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```